## vala-sample 0.0.1

=== Makefile ===
compile:
	valac --pkg gtk+-2.0 --pkg hildon-1 -o hildon-hello sample.vala

install:
	mkdir -p "$(DESTDIR)/usr/bin/"
	cp hildon-hello "$(DESTDIR)/usr/bin/"

=== debian/changelog ===
vala-sample (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Mon, 16 Mar 2009 21:47:31 +0000

=== debian/control ===
Source: vala-sample
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: programming
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: libusb-0.1-4, libbz2-1.0, libreadline4, vala, libhildon1-dev
Standards-Version: 3.6.1

Package: vala-sample
XB-Maemo-Display-Name: Vala Sample
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Vala sample application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/vala-sample.sgml > vala-sample.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/vala-sample.
	$(MAKE) DESTDIR=$(CURDIR)/debian/vala-sample install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## vala-sample 0.0.3

=== Makefile ===
compile:
	mkdir bin
	valac --pkg gtk+-2.0 --pkg hildon-1 -o bin/hildon-hello sample.vala

install:
	dh_install bin/hildon-hello usr/bin

clean:
	rm -rf bin

=== debian/changelog ===
vala-sample (0.0.3) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Mon, 16 Mar 2009 22:37:58 +0000

=== debian/control ===
Source: vala-sample
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/development
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: vala, gnupg, libhildon1-dev
Standards-Version: 3.6.1

Package: vala-sample
XB-Maemo-Display-Name: Vala Sample
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
  SU1FB9kDEBYZNqJNKUsAAANtSURBVEjHnZbNa1xlFMZ/zzuZMUVba1QItIJY
  JERQwRpB4idaP6HgwoX+Ey5ciLhwI3SvSy20Ql1o/wA3IiK2fqWV2jbRSaVO
  alvtpEmbJplkMvdx0XPlzm2SGXvhcueeubzPec55nvO+FW7uUteLVANeA94C
  xiuVSt32MuC4/+fq0nuSDgJ3ATUgSRpKKX0ryYAlWdIXwP3AViABVPrJOED2
  2v5Y0sPAEnAOaKWUPrP9nO38O4AFoAnMA1eBTtoAyMCrko5Iegao2X4JIBYc
  BcZSSm/afiVijv/XbK8CI8D2nNFAKWvZTkAHeNf241H3OUkzedbANmBXlmUP
  FhKTJGyfB1rAcjDPyNH+o3F9pU68NqIMI8ATtieAVWACWIzfObJSSgAXgD+B
  BjAJ/A2s3QAk6RNJ+4FbJH0Y4SVgF1CV9DpwCDgD/AEcBlqSlrMsm7I9DZwF
  fgJORo+yXAwKkG22DwGPRqPrKaUJ2wsBdgY4DcxF5nXgF+Bz4K8oVwM4AhwN
  Zq2cRFF1K8BwSmnM9hIwa3syFmkCtwKPAHuAJ4GngN1RvnqA/wocyxVZ9FCX
  GCqVyj7bO4LBMDAlacz2XmBU0h0FQeRSBjhsex9wEZgt9e8GRthu2T4eihkC
  PgDeAO4BthQVVrLDA5Hc71HadtkvZcNmUcIh4CNJO/s0M8C1YHQhQLsYlQ3r
  arW6IuntEEdfc8r25ZDxcIF51zVQDrTb7XHghY2yLxsUWLA9FVKeKyptUyDg
  sXh2esxC274YvjkfiuvyTi+g1R4THOCK7RngUsj/OPBjeK1vRqc26B9AZvtc
  GLMZ0+FEADViamfrAa1XmkvA88COUrwT8m3E83tgOsbTSMTnCz3sCbSWUhoE
  Xi7F54NBHfhG0hzwqaQ9KaVnw0vfhYfaveQNkGVZdsD2VwXnAwwCV6K0P9se
  lTRoeyVcMAg8Heau9cNI4YmvJb0o6e6IV4E7JU1Gb98BtksaiPPBTDA5G8Zd
  6/eIsAUYTymdyM8DhTNB8T2TdAr4EngfeKhfRtdrmlJm+5rtHyRtBe6N005R
  5rOhumYI5GhsJYubDtV1dtuV6Mtp4LeYYavA5Vh4OsBOxj50DPinsEtvPCDX
  IxeN3gncF/dwxFoxRCdDjc1IjpsByq8acBtwe9y1YHc1WC1uJoB/AZ4cejM5
  XOeWAAAAAElFTkSuQmCC
  ====
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Vala sample application.

=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,9 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
+	install -D -m 0644 -o root -g root "mud-extras/vala-sample.desktop" "debian/vala-sample/usr/share/applications/hildon/vala-sample.desktop"
+	install -D -m 0644 -o root -g root "mud-extras/vala-sample-26.png" "debian/vala-sample/usr/share/icons/hicolor/26x26/hildon/vala-sample.png"
+	install -D -m 0644 -o root -g root "mud-extras/vala-sample-64.png" "debian/vala-sample/usr/share/icons/hicolor/scalable/hildon/vala-sample.png"
 
 	# Add here commands to install the package into debian/vala-sample.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/vala-sample install
